Diese Website existiert nur weil wir Werbung mit AdSense ausliefern.
Bitte den AdBlocker daher auf dieser Website ausschalten! Danke.

[gelöst] Updateproblem

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
bitwalker
Newbie
Newbie
Beiträge: 7
Registriert: 4. Jul 2010, 16:05

[gelöst] Updateproblem

Beitrag von bitwalker » 4. Jul 2010, 16:30

Seit ein paar Tagen zeigt mir meine Suse 11.1 beim Start an, dass neue Updates zur Verfügung stehen.
Leider klappen die Updates nie.
Meldung: DBus error: unable to get transaction id from package kit. Aufforderung: Manuelle installation in YAST2.

Mein Problem ist nicht das Englisch, sondern dass ich mit der Meldung trotzdem nichts anfangen kann. Außerdem wie soll ich als exzellenter Mausschubser in YAST2 etwas manuel installieren??

Ist mir noch zu helfen?? Kann mir jemand helfen?? Falls die Hilfe Arbeit an der Konsole verlangt, dann bitte in Rezeptform.

mfg
bitwalker

Werbung:
Benutzeravatar
Ganymed
Guru
Guru
Beiträge: 1609
Registriert: 15. Mai 2006, 12:58
Wohnort: JETZT ? DIREKT HINTER DIR !!
Kontaktdaten:

Re: Updateproblem

Beitrag von Ganymed » 4. Jul 2010, 17:31

Hi, "exzellenter Mausschubser" ich schubse auch :D :D :D

Gehe ganz einfach über die Systemeinstellungen zu YAST2, kontrolliere in den "Software Repositories" ob die für Dich wichtigen Repos aktiviert sind und aktualisiere sie.
Achte dabei auch darauf, dass nicht solche Repos wie "vlc" und "Packman" bei gleicher Priorisierung der Pakete gleichzeitig aktiviert sind.

In "Software installieren und löschen" kannst Du "Paketgruppen" oder "Alle Pakete" anzeigen lassen. Sollten neurere Versionen im Angebot sein, werden sie andersfarbig dargestellt.

"Alle Pakete aktualisieren wenn neuere verfügbar sind" ist dem "zypper -v up" als Root in der Konsole gleich.

Verzichte aber auf Updates für die eine Warnung über unauflösbare Abhängigkeiten erscheint - bzw entscheide Dich für eine der angebotenen Lösungen.

BTW - ignorieren ist keine Lösung !!! - meistens nicht - und bei Linux erst recht nicht. :D

Eigentlich sollten damit auch der Bug zum Packagekit gelöst sein.

Gruß Ganymed
julia ist gut zu vögeln --- Groß- und Kleinschreibung retten die Ehre.
komm wir essen Opa --- Satzzeichen retten sogar das Leben
:)

bitwalker
Newbie
Newbie
Beiträge: 7
Registriert: 4. Jul 2010, 16:05

Re: Updateproblem

Beitrag von bitwalker » 6. Jul 2010, 15:30

Hallo Du Schöner!!
Was Du da schreibst sieht für mich aus, als hättest Du mehr als 'ne Ahnung. Leider kann ich Deinem Rat nicht folgen, denn wenn ich Deinem Rat folge und in YAST2 auf "Software Repositories" klicke, tut sich gar nichts!!?? Vielleicht kannst Du in Deinem Wissen noch etwas tiefer graben!

mfg
bitwalker

Benutzeravatar
Smurfle
Member
Member
Beiträge: 123
Registriert: 27. Jan 2007, 18:56

Re: Updateproblem

Beitrag von Smurfle » 6. Jul 2010, 16:13

Hallo Mausschubser,

mach doch mal eine Konsole auf, melde dich als ROOT an und versuche mit einem beherzten

Code: Alles auswählen

zypper -v up
dein System zu aktualisieren. Als erstes wirst du eine Ausgabe bekommen was zypper alles machen will. Wenn du damit einverstanden bist gehts mit einem "j" und "Enter" weiter auf die Zielgerade.

Mfg Smurf

bitwalker
Newbie
Newbie
Beiträge: 7
Registriert: 4. Jul 2010, 16:05

Re: Updateproblem

Beitrag von bitwalker » 8. Jul 2010, 06:08

Hallo smurf,

"CODE: Alles Auswählen" musst Du mir erklären.

Wenn ich nur "zypher -v up" eingebe, sagt mir die bash, dass sie den Befehl nicht kennt!!??

Mfg
bitwalker

Benutzeravatar
lOtz1009
Moderator
Moderator
Beiträge: 7160
Registriert: 23. Jan 2008, 09:51
Wohnort: Sulzbach/Ts.

Re: Updateproblem

Beitrag von lOtz1009 » 8. Jul 2010, 06:51

zypper
::: openSUSE Member :::
::: LXDE-Team :::
Linux-Club Wiki
vi is an editor with two modes: one which destroys your input and the other which beeps at you.
Für meine Beiträge gilt:
Bild

Benutzeravatar
Ganymed
Guru
Guru
Beiträge: 1609
Registriert: 15. Mai 2006, 12:58
Wohnort: JETZT ? DIREKT HINTER DIR !!
Kontaktdaten:

Re: Updateproblem

Beitrag von Ganymed » 8. Jul 2010, 06:55

Hi Bitwalker

prüfe mal die aktivierten Repos - da hat sich bezüglich KDE etwas geändert. (danke LOtz)
http://www.linux-club.de/viewtopic.php?f=24&t=105966
bitwalker hat geschrieben:Wenn ich nur "zypher -v up" eingebe, sagt mir die bash, dass sie den Befehl nicht kennt!!??
Diesen Befehl kennen hier wohl auch die wenigsten - versuche es als Root mit - zypper -v dup -

oder nach Lektüre von "man zypper" dann auch als Root mit,

zypper ar link-zur-xyz.repo (rechte Maustaste -Link kopieren - und in der Shell einfügen)
zypper rr (das alte repo)
zypper clean
zypper ref

Vielleicht nicht unbedingt nötig aber dann sollte es auch mit YAST2 wieder klappen.

Gruß Ganymed

Edit: LOtz war wieder schneller
julia ist gut zu vögeln --- Groß- und Kleinschreibung retten die Ehre.
komm wir essen Opa --- Satzzeichen retten sogar das Leben
:)

Benutzeravatar
Rainer Juhser
Moderator
Moderator
Beiträge: 3892
Registriert: 14. Aug 2006, 17:03
Wohnort: 04711 Münchhausen

Re: Updateproblem

Beitrag von Rainer Juhser » 8. Jul 2010, 07:59

Ganymed hat geschrieben:Diesen Befehl kennen hier wohl auch die wenigsten - versuche es als Root mit - zypper -v dup -
Für den Anfang sollte ein Versuch mit

Code: Alles auswählen

zypper -v up
ausreichen. Das Risiko von Nebenwirkungen bei "dup" halte ich bei dem Kenntnisstand, den der TE hat, für zu hoch!
Salü vom Rainer Juhser
_________________________
Bist du neu - guckst du hier:
Neu im Linux-Club?...Bitte LESEN! == Bedienungsanleitung Forum == Hilfe zu Antworten aus dem Forum
== WISSEN PUR: Linupedia - das Linux-Club WIKI!

bitwalker
Newbie
Newbie
Beiträge: 7
Registriert: 4. Jul 2010, 16:05

Re: Updateproblem

Beitrag von bitwalker » 9. Jul 2010, 15:05

Hallo Ihr Spezialisten,

mit dem richtigen Befehl hat der Rechner jede Menge Zeug gemacht, von dem ich nichts verstanden habe. Wenn ich jetzt updaten will, funktioniert es auch nicht, aber ich bekomme eine andere Fehlermeldung, nämlich: "error while creating client module online_update_configuration".
Wir Ihr richtig vermutet, sagt mir das gar nichts, aber Euch vielleicht.

Mfg
bitwalker

Benutzeravatar
lOtz1009
Moderator
Moderator
Beiträge: 7160
Registriert: 23. Jan 2008, 09:51
Wohnort: Sulzbach/Ts.

Re: Updateproblem

Beitrag von lOtz1009 » 9. Jul 2010, 15:11

Welche Repositories sind eingebunden?
zypper lr -u

Und was bringt
zypper se -si yast2
::: openSUSE Member :::
::: LXDE-Team :::
Linux-Club Wiki
vi is an editor with two modes: one which destroys your input and the other which beeps at you.
Für meine Beiträge gilt:
Bild

bitwalker
Newbie
Newbie
Beiträge: 7
Registriert: 4. Jul 2010, 16:05

Re: Updateproblem

Beitrag von bitwalker » 11. Jul 2010, 11:12

zypper lr -u bringt folgendes:

1 | http-download.opensuse.org-31ea4213 | Aktualisierungen für openSUSE 11.2-0 | Ja | Ja | http://download.opensuse.org/update/11.2/
2 | openSUSE 11.2-0 | openSUSE 11.2-0 | Ja | Nein | cd:///
3 | repo-debug | openSUSE-11.2-Debug | Nein | Ja | http://download.opensuse.org/debug/dist ... /repo/oss/
4 | repo-non-oss | openSUSE-11.2-Non-Oss | Ja | Ja | http://download.opensuse.org/distributi ... o/non-oss/
5 | repo-oss | openSUSE-11.2-Oss | Ja | Ja | http://download.opensuse.org/distributi ... /repo/oss/
6 | repo-source | openSUSE-11.2-Source | Nein | Ja | http://download.opensuse.org/source/dis ... /repo/oss/

zypper se -si yast2 bringt:

Unbekannte Option 'l'

Mfg
bitwalker

Benutzeravatar
lOtz1009
Moderator
Moderator
Beiträge: 7160
Registriert: 23. Jan 2008, 09:51
Wohnort: Sulzbach/Ts.

Re: Updateproblem

Beitrag von lOtz1009 » 11. Jul 2010, 11:24

Probier mal
zypper ref
zypper ve
::: openSUSE Member :::
::: LXDE-Team :::
Linux-Club Wiki
vi is an editor with two modes: one which destroys your input and the other which beeps at you.
Für meine Beiträge gilt:
Bild

bitwalker
Newbie
Newbie
Beiträge: 7
Registriert: 4. Jul 2010, 16:05

Re: Updateproblem

Beitrag von bitwalker » 14. Jul 2010, 15:17

Danke IOtz1009,
das hat es gebracht. Verstanden habe ich nichts, aber die Fehlermeldungen sind weg.
Jetzt müsste ich nur noch wissen, wie ich das Problem als gelöst markiere.
Mfg
bitwalker

Benutzeravatar
lOtz1009
Moderator
Moderator
Beiträge: 7160
Registriert: 23. Jan 2008, 09:51
Wohnort: Sulzbach/Ts.

Re: Updateproblem

Beitrag von lOtz1009 » 14. Jul 2010, 15:22

Steht unter http://www.linux-club.de/viewtopic.php?f=3&t=81378 ;)
Zypper hat nur die Abhängigkeiten überprüft und fehlende Pakete nachinstalliert.
::: openSUSE Member :::
::: LXDE-Team :::
Linux-Club Wiki
vi is an editor with two modes: one which destroys your input and the other which beeps at you.
Für meine Beiträge gilt:
Bild

bitwalker
Newbie
Newbie
Beiträge: 7
Registriert: 4. Jul 2010, 16:05

Re: Updateproblem

Beitrag von bitwalker » 15. Jul 2010, 22:00

Vielen Dank!

Mfg
bitwalker

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast